#include <iostream>

int main() {
    using namespace std;
    int a=-1;
    int n,l;
    cin>>n>>l;
    for (int i=0;i<n+1;i++){
        int h;
        cin>>h;
        if (h<=l){
            cout<<i+1;
            a=a+1;
            exit(0);
        }
        
    }
    if (a==-1){
        cout<<a;
    }
    return 0;
}